Package org.eclipse.app4mc.amalthea.model.util

## Enum RuntimeUtil.PositionType

- Object
- - Enum<RuntimeUtil.PositionType>
  - - PositionType

All Implemented Interfaces:
  `Serializable`, `Comparable<RuntimeUtil.PositionType>`

Enclosing class:
  RuntimeUtil

    public static enum RuntimeUtil.PositionType
    extends Enum<RuntimeUtil.PositionType>

### Enum Constant Summary

Enum Constants
`FIRST`
`LAST`

### Method Summary

All Methods
`static RuntimeUtil.PositionType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RuntimeUtil.PositionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIRST

    public static final RuntimeUtil.PositionType FIRST

#### LAST

    public static final RuntimeUtil.PositionType LAST

### Method Detail

#### values

    public static RuntimeUtil.PositionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RuntimeUtil.PositionType c : RuntimeUtil.PositionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RuntimeUtil.PositionType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null